#include<bits/stdc++.h>
using namespace std;

unsigned long long najv=0,cur;
int N;
int x_koord[1000008];
int y_koord[1000008];

int main(){
    scanf("%d",&N);
    for(int i=0;i<N;i++)
        scanf("%d %d",x_koord+i,y_koord+i);
    printf("0\n");
    for(int l=2;l<=N;l++){
        for(int i=0;i<l;i++)
            for(int j=0;j<l;j++){
                cur=0;
                for(int k=0;k<l;k++)
                    cur+=abs(x_koord[i]-x_koord[k])*abs(y_koord[j]-y_koord[k]);
                if(cur>najv) najv=cur;
            }
        printf("%llu\n",najv%1000000007llu);
    }
    return 0;
}